// include file for netblues.pov
// by Marty Rabens (mrabens@herbie.unl.edu)
// Copyrights, lefts, and centers:
//     If you find something useful in here, go ahead and use it/derive from
//     it in your own stuff.  Just give me credit and include my eMail
//     address if you do.

#declare Glow_Grid =
  texture {
    pigment {
      marble
      color_map {
        [0 color Blue]
        [0.1 color Clear]
        [1 color Clear]
      }
      rotate z*90
      scale <1, 1.5, 1>
    }
    finish {Luminous}
  }

#declare Holo_Dis = 3.5
#declare Holo_Height = 8.5

#declare Holo_Case = cylinder {
  <Holo_Dis, Holo_Height - 0.2, 0>, <Holo_Dis, Holo_Height + 3.5, 0>, 1.49
  pigment {color White filter 0.9}
  finish {specular 0.6  roughness 0.0005}
  no_shadow
}

#declare Pod_Bay = cylinder {
  <Holo_Dis, 10, 0>, <Holo_Dis, 11.5, 0>, 1.5
  pigment {color blue 2}
}

#declare Pod = union {
  cylinder {
    <0, 0, 0>, <0, 1, 0>, 5
    pigment {color Blue}
    finish {Shiny}
  }
  disc {
    <0, 1.01, 0>, <0, 1, 0>, 4
    texture {Polished_Chrome}
  }
  cylinder {
    <0, 1, 0>, <0, 8, 0>, 4 open
    no_shadow
    texture {Glow_Grid}
  }
  difference {
    intersection {
      sphere {
        <0, 22.5, 0>, 12
        pigment {color Blue}
      }
      cylinder {
        <0, 10.5, 0>, <0, 13, 0>, 5
        pigment {color Blue}
      }
    }
    object {
      Pod_Bay
    }
    object {
      Pod_Bay
      rotate y*120
    }
    object {
      Pod_Bay
      rotate y*240
    }
    no_shadow
  }
  object {
    Holo_Case
  }
  object {
    Holo_Case
    rotate y*120
  }
  object {
    Holo_Case
    rotate y*240
  }
  light_source {<0, 13, 0> color red 0.3 green 0.3 blue 1}
}
